# -*- coding: utf-8 -*-
import re

from bs4 import BeautifulSoup
from resources.lib.modules import client
from resources.lib.clean import setView
from resources.lib.clean import openn
from resources.lib.clean import clean
from resources.lib.clean import addon


def doc_menou():
    openn.addDir('[B][COLOR white]' + addon.Lang(32082).encode('utf-8') + '[/COLOR][/B]', 'https://ntokimanter.gr/videoscategory/koinonika', 60, 'http://i.imgur.com/kkFddcJ.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32083).encode('utf-8') + '[/COLOR][/B]', 'https://ntokimanter.gr/videoscategory/istoria', 60, 'http://i.imgur.com/kkFddcJ.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32084).encode('utf-8') + '[/COLOR][/B]', 'https://ntokimanter.gr/videoscategory/mistirio', 60, 'http://i.imgur.com/kkFddcJ.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32085).encode('utf-8') + '[/COLOR][/B]', 'https://ntokimanter.gr/videoscategory/ntokimanter-me-zoa', 60, 'http://i.imgur.com/kkFddcJ.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32086).encode('utf-8') + '[/COLOR][/B]', 'https://ntokimanter.gr/videoscategory/ksena-ntokimanter', 60, 'http://i.imgur.com/kkFddcJ.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32087).encode('utf-8') + '[/COLOR][/B]', 'https://ntokimanter.gr/videoscategory/thriskeia', 60, 'http://i.imgur.com/kkFddcJ.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32088).encode('utf-8') + '[/COLOR][/B]', 'https://ntokimanter.gr/videoscategory/epistimi', 60, 'http://i.imgur.com/kkFddcJ.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32089).encode('utf-8') + '[/COLOR][/B]', 'https://ntokimanter.gr/videoscategory/periballon', 60, 'http://i.imgur.com/kkFddcJ.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32090).encode('utf-8') + '[/COLOR][/B]', 'https://ntokimanter.gr/videoscategory/oikonomia', 60, 'http://i.imgur.com/kkFddcJ.png', addon.art, '')
    openn.addDir('[B][COLOR white]' + addon.Lang(32091).encode('utf-8') + '[/COLOR][/B]', 'https://ntokimanter.gr/videoscategory/politiki', 60, 'http://i.imgur.com/kkFddcJ.png', addon.art, '')


def doc_content(url):
    r = openn.Open_Url(url)
    data = client.parseDOM(r, 'div', attrs={'class': 'col-sm-4 col-xs-6 item responsive-height'})

    for i in data:
        h3 = client.parseDOM(i, 'h3')[0]
        url = client.parseDOM(h3, 'a', ret='href')[0].encode('utf-8')
        if 'suleiman-megaloprepis-istoria' in url:
            continue
        name = client.parseDOM(h3, 'a')[0].encode('utf-8')
        name = name.split('&#8211;')[0].replace('&#8217;', '').replace('&#8216;', '')
        name = name.split('&#8221;')[0].replace('&#8220;', '')
        icon = client.parseDOM(i, 'img', ret='src')[0].encode('utf-8')
        r2 = client.request(url)
        data2 = client.parseDOM(r2, 'div', attrs={'class': 'post-entry'})
        for p in data2:
            desc = client.parseDOM(p, 'p')[0].encode('utf-8')
            desc = clean.Clean(desc)
            t = '***Περίληψη***'
            openn.addDir('[B][COLOR white]%s[/COLOR][/B]'
                         % name, url, 300, icon, addon.art, '[B][COLOR green]%s[/COLOR][/B]' '\n%s' % (t, desc))
    try:
        r = re.compile('class="next page-numbers" href="(.+?)">Next &rarr;</a></li>').findall(r)[0]
        openn.addDir('[B][COLOR green]Next Page>>[/COLOR][/B]', r, 60, 'http://i.imgur.com/rKSs0yq.png', addon.art, '[B][COLOR green]Επόμενη σελίδα[/COLOR][/B]')
    except:
        pass
    setView.setView('movies', 'movie-view')


###############################################################################################################################################################
CURL = 'http://greekdocumentaries2.blogspot.gr/search/label'


def cosmos_menu1():
    openn.addDir('[B][COLOR white]Ελλάδα[/COLOR][/B]', CURL + '/ΕΛΛΑΔΑ', 1004, 'https://epiplokoios.gr/wp-content/uploads/2016/03/flag_greek.png', addon.art, 'Ντοκιμντέρ μεταγλωτισμένα & με υπότιτλους.\nDocumenter dubbed & subtitled.')
    openn.addDir('[B][COLOR white]Αίγυπτος[/COLOR][/B]', CURL + '/ΑΙΓΥΠΤΟΣ', 1004, 'https://userscontent2.emaze.com/images/0090d39d-dbae-488f-9529-764c3afd28ce/bc9fd828bfcadd1b6eb95228b7b57a16.png', addon.art, 'Ντοκιμντέρ μεταγλωτισμένα & με υπότιτλους.\nDocumenter dubbed & subtitled.')
    openn.addDir('[B][COLOR white]Ρώμη[/COLOR][/B]', CURL + '/ΡΩΜΗ', 1004, 'https://cdn.pixabay.com/photo/2017/11/28/23/17/coliseo-2984914_960_720.png', addon.art, 'Ντοκιμντέρ μεταγλωτισμένα & με υπότιτλους.\nDocumenter dubbed & subtitled.')
    openn.addDir('[B][COLOR white]Βιβλικά[/COLOR][/B]', CURL + '/ΒΙΒΛΙΚΑ', 1004, 'http://cdn.marketplaceimages.windowsphone.com/v8/images/caa78f83-6542-4c24-a121-8b08f97cd868?imageType=ws_icon_large', addon.art, 'Ντοκιμντέρ μεταγλωτισμένα & με υπότιτλους.\nDocumenter dubbed & subtitled.')
    openn.addDir('[B][COLOR white]Διάφοροι Πολιτισμοί[/COLOR][/B]', CURL + '/Διάφοροι%20Πολ.', 1004, 'https://paidis.com/wp-content/uploads/2017/04/%CE%91%CE%A1%CE%A7%CE%91%CE%99%CE%9F%CE%99-%CE%A0%CE%9F%CE%9B%CE%99%CE%A4%CE%99%CE%A3%CE%9C%CE%9F%CE%99.png', addon.art, 'Ντοκιμντέρ μεταγλωτισμένα & με υπότιτλους.\nDocumenter dubbed & subtitled.')


def cosmos_menu2():
    openn.addDir('[B][COLOR white]Υγείας Επιστήμες[/COLOR][/B]', CURL + '/Υγείας%20Επιστήμες', 1004, 'http://safeinsurance.com.gr/images/2-2-insurance-png-hd.png', addon.art, 'Ντοκιμντέρ μεταγλωτισμένα & με υπότιτλους.\nDocumenter dubbed & subtitled.')
    openn.addDir('[B][COLOR white]Φυσικές Επιστήμες[/COLOR][/B]', CURL + '/Φυσικές%20επιστήμες', 1004, 'http://skyviewacademy.org/wp-content/uploads/2017/03/science.jpg', addon.art, 'Ντοκιμντέρ μεταγλωτισμένα & με υπότιτλους.\nDocumenter dubbed & subtitled.')
    openn.addDir('[B][COLOR white]Ανθρωπολογία[/COLOR][/B]', CURL + '/Ανθρωπολογία', 1004, 'https://cdn1.iconfinder.com/data/icons/medical-services-3/500/Medical-54-512.png', addon.art, 'Ντοκιμντέρ μεταγλωτισμένα & με υπότιτλους.\nDocumenter dubbed & subtitled.')
    openn.addDir('[B][COLOR white]Τεχνολογία[/COLOR][/B]', CURL + '/Τεχνολογία', 1004, 'https://pbs.twimg.com/profile_images/886244634241843201/D_N1XF6E.jpg', addon.art, 'Ντοκιμντέρ μεταγλωτισμένα & με υπότιτλους.\nDocumenter dubbed & subtitled.')


def cosmos_menu3():
    openn.addDir('[B][COLOR white]Α Παγκόσμιος Πόλεμος[/COLOR][/B]', CURL + '/1ος%20Π.Π', 1004, 'http://www.onalert.gr/files/Image/ONALERTPHOTOS/HISTORY/WWAR1/cache/Screen%20Shot%202014-04-26%20at%2011.06.49-630x392.png', addon.art, 'Ντοκιμντέρ μεταγλωτισμένα & με υπότιτλους.\nDocumenter dubbed & subtitled.')
    openn.addDir('[B][COLOR white]Β Παγκόσμιος Πόλεμος[/COLOR][/B]', CURL + '/2ος%20Π.Π', 1004, 'http://nonaligned.gr/wp-content/uploads/2017/05/14991049-1370557096297627-3187965571553382413-o_1.png', addon.art, 'Ντοκιμντέρ μεταγλωτισμένα & με υπότιτλους.\nDocumenter dubbed & subtitled.')
    openn.addDir('[B][COLOR white]Αρχαιότητα[/COLOR][/B]', CURL + '/ΑΡΧΑΙΟΤΗΤΑ', 1004, 'https://ellasellas.files.wordpress.com/2018/02/cf85cf80cf8ccebacebfcf83cebccebfcf82-cebaceb1ceb9-cf80ceb5cf81ceb9ceb8cf89cf81ceb9ceb1cebacebfceaf-cf83cf84ceb7cebd-ceb1cf81cf87ceb1.png?w=640', addon.art, 'Ντοκιμντέρ μεταγλωτισμένα & με υπότιτλους.\nDocumenter dubbed & subtitled.')
    openn.addDir('[B][COLOR white]Μεσαίωνας[/COLOR][/B]', CURL + '/ΜΕΣΑΙΩΝΑΣ', 1004, 'https://cdn.pixabay.com/photo/2016/02/16/14/44/gear-1203393_960_720.png', addon.art, 'Ντοκιμντέρ μεταγλωτισμένα & με υπότιτλους.\nDocumenter dubbed & subtitled.')
    openn.addDir('[B][COLOR white]Αναγέννηση[/COLOR][/B]', CURL + '/ΑΝΑΓΕΝΝΗΣΗ', 1004, 'http://diadiktiakianagennisi.weebly.com/uploads/4/2/9/8/42989925/3479121.png', addon.art, 'Ντοκιμντέρ μεταγλωτισμένα & με υπότιτλους.\nDocumenter dubbed & subtitled.')
    openn.addDir('[B][COLOR white]18ος-19ος Αιώνας[/COLOR][/B]', CURL + '/18ος%20-%2019ος%20ΑΙΩΝΑΣ', 1004, 'http://www.mixanitouxronou.com.cy/wp-content/uploads/2015/08/Cock_lane_ghost-341x400-341x400.png', addon.art, 'Ντοκιμντέρ μεταγλωτισμένα & με υπότιτλους.\nDocumenter dubbed & subtitled.')
    openn.addDir('[B][COLOR white]20ος Αιώνας[/COLOR][/B]', CURL + '/20ο%20ΑΙΩΝΑ', 1004, 'http://2.bp.blogspot.com/-vGPeHzMNIMI/UUTUi3fTJ-I/AAAAAAAAAfQ/AayfpjDHsy4/s1600/%CE%9D%CE%AD%CE%B1+%CE%B5%CE%B9%CE%BA%CF%8C%CE%BD%CE%B1+(1).png', addon.art, 'Ντοκιμντέρ μεταγλωτισμένα & με υπότιτλους.\nDocumenter dubbed & subtitled.')
    openn.addDir('[B][COLOR white]Νεοελληνικό Κράτος[/COLOR][/B]', CURL + '/Νεοελληνικό%20Κράτος', 1004, 'https://1.bp.blogspot.com/-j8-E2AqzjOs/WeIs3y7eQ9I/AAAAAAAHYec/02h6mmJMVI0GAJ0HiJ2DFr023SivLjJcACLcBGAs/s1600/2017-10-14_182642.png', addon.art, 'Ντοκιμντέρ μεταγλωτισμένα & με υπότιτλους.\nDocumenter dubbed & subtitled.')


def cosmos_menu(url):
    r = openn.Open_Url(url)
    data = client.parseDOM(r, 'div', attrs={'class': 'widget-content list-label-widget-content'})
    dat = client.parseDOM(data, 'li')
    for i in dat:
        url = client.parseDOM(i, 'a', ret='href')[0]
        name = client.parseDOM(i, 'a')[0].encode('utf-8')
        name = name.replace('/', '-')
        openn.addDir('[B][COLOR white]%s[/COLOR][/B]' % name, url, 1004, 'http://1.bp.blogspot.com/-pqYicK1yOeo/WCSgvtzA6HI/AAAAAAAAAz0/RS0dMmL_SrwaLKus4SdVrirhtHQ2cscHQCK4B/s1600/22221.png', addon.art, '')


def cosmos(url):
    r = openn.Open_Url(url)
    data = client.parseDOM(r, 'div', attrs={'class': 'post bar hentry'})

    for i in data:
        n = client.parseDOM(i, 'h3', attrs={'class': 'post-title entry-title'})[0]
        name = client.parseDOM(n, 'a')[0].encode('utf-8')
        name = name.split('(Ντοκιμαντερ)')[0].split('(Ντοκιμαντέρ)')[0]
        name = name.split('|')[0].split('Ντοκιμαντερ')[0]
        name = clean.Clean(name)
        icon = client.parseDOM(i, 'img', ret='src')[0].encode('utf-8')
        url = client.parseDOM(i, 'a', ret='href')[0]
        openn.addDir('[B][COLOR white]%s[/COLOR][/B]' % name, url, 1005, icon, addon.art, '')
    try:
        Regex = re.compile("<a class='blog-pager-older-link' href='(.+?)'").findall(r)[0]
        Regex = Regex.replace('amp;', '')
        openn.addDir('[B][COLOR green]Next Page>>[/COLOR][/B]', Regex, 1004,
                     'http://i.imgur.com/rKSs0yq.png', addon.art, '')
    except:
        pass


def cosmosLink(url):
    c = 0
    r = openn.Open_Url(url)
    soup = BeautifulSoup(r, "html.parser")

    for n in soup.find_all(class_="post-body entry-content"):
        for d in n.findAll(['br', 'br'])[:2]:
            desc = d.next.encode('utf-8')
            desc = desc.replace('<span style="color: blue;">', '').replace('<b>', '')
            desc = desc.replace('</span>', '').replace('<span style="background-color: white;">', '')
            desc = desc.replace('<span style="font-size: large;">', '').replace('</b>', '')
            desc = desc.replace('<span style="font-size: medium;">', '')
    else:
        for n in soup.find_all(class_="post bar hentry"):
            for name in n.findAll('h3'):
                name = name.a.text.encode('utf-8')
                name = name.split('Ντο')[0].replace('(', '|').replace(')', '')
                #name2 = ' [B][COLOR yellow]' + addon.Lang(32045).encode('utf-8') + '[/COLOR][/B]'
            for img in n.findAll('img')[:1]:
                icon = img['src'].encode('utf-8')
            for ifame in n.findAll('iframe'):
                url = ifame['src']
                if 'htt' not in url:
                    url = 'http:' + url
                c += 1
                openn.addDir('[B][COLOR white]%s[/COLOR][/B]' '[B][COLOR white] %s[/COLOR][/B]'
                             % (name, c), url, 200, icon, addon.art, desc)
