# -*- coding: utf-8 -*-

import xbmc
import re
#import requests

from resources.lib.modules import client
from resources.lib.clean import setView
from resources.lib.clean import openn
from resources.lib.clean import clean
from resources.lib.clean import addon


def get_xroniaS(url):
    r = openn.Open_Url('https://tainies4konline.xyz/')
    r = client.parseDOM(r, 'ul', attrs={'class': 'scrolling'})[1:]
    r = client.parseDOM(r, 'li')[0:-4]

    for i in r:
        url = client.parseDOM(i, 'a', ret='href')[0]
        name = client.parseDOM(i, 'a')[0]
        openn.addDir('[B][COLOR white]%s[/COLOR][/B]'%name,url,24,'https://i.imgur.com/Mveo2KC.png',addon.art,'')

def get_contS(url):
    r = openn.Open_Url(url)
    data = client.parseDOM(r, 'div', attrs={'id': 'mt-\d+'})

    for i in data:
        try:
            url = client.parseDOM(i, 'a', ret='href')[0]
            icon = client.parseDOM(i, 'img', ret='src')[0]
            name = client.parseDOM(i, 'img', ret='alt')[0].encode('utf-8')
            year = client.parseDOM(i, 'span', attrs={'class': 'year'})[0].encode('utf-8')
            if '/' in name:
                name = name.split('/')[1].strip()
            name = name + ' |' + '[COLORlime]'+ year + '[/COLOR]' +'|'
            name = clean.Clean(name)
            desc = client.parseDOM(i, 'span', attrs={'class': 'ttx'})[0].encode('utf-8')
            desc = desc.split('<div')[0]
            desc = clean.Clean(desc)
            rat = client.parseDOM(i, 'span', attrs={'class': 'dato'})[0].encode('utf-8')
            rat = rat.replace('<b>', '').split('</b>')[0]#rat = 'TMDb: %s' % re.findall('(\d+\.\d+\/\d+)', rat)[0]
            t = '***Περίληψη***'
            openn.addDir('[B][COLOR white]%s[/COLOR][/B] [COLOR white]%s[/COLOR]'
                % (name, rat), url, 23, icon, addon.art,'[B][COLOR green]\n%s[/COLOR][/B]''%s' % (t, desc))
        except:
            pass
    try:
        np = client.parseDOM(r, 'div', attrs={'class': 'pag_b'})[0]
        np = client.parseDOM(np, 'a', ret='href')[0]
        openn.addDir('[B][COLOR green]Next Page>>[/COLOR][/B]'
        , np, 24, 'http://i.imgur.com/rKSs0yq.png',addon.art,'[B][COLOR green]Επόμενη σελίδα[/COLOR][/B]')
    except:pass
    setView.setView('movies', 'movie-view')

def get_surceS(url):
    r = openn.Open_Url(url)
    items = client.parseDOM(r, 'div', attrs={'id': 'series'})

    for i in items:
        icon = client.parseDOM(i, 'div', attrs={'class': 'imagen'})[0]
        icon = client.parseDOM(icon, 'img', ret='src')[0]
        m = re.compile('href="(.+?)">(.+?)<', re.DOTALL).findall(i)
        for link, name in m:
            if 'openload' in link or 'vidoza' in link or 'vidto.me' in link or 'vidzi' in link or 'vidup' in url or 'streamcloud' in link or 'streamin' in link or 'streamango' in link or 'estream' in link or 'vidlox' in link or 'clipwatching' in link or 'flashx' in link:
                link = re.sub('http://adf.ly/\w+/', '', link)
                link = link.split('"')[0]
                host = link.split('//')[1].replace('www.', '')
                host = host.split('/')[0].split('.')[0].title()
                name + '|' + name.strip()
                name = name.encode('utf-8')
                name = clean.Clean(name)
                host = '[B][COLOR green]|[/COLOR][/B]' + host
                openn.addDir('[B][COLOR white]%s[/COLOR][/B]' '%s' %(name,host),link,200,icon,addon.art,'')

def Search6():
    keyb = xbmc.Keyboard('', 'Search')
    keyb.doModal()
    if (keyb.isConfirmed()):
            search = keyb.getText().replace(' ','+')
            url = 'https://tainies4konline.xyz/?s=' + search
            get_contS(url)

################################################################################################################################################################################
def xrysoiseries(url):
    p = client.request(url)
    try:
        m = re.compile('<div class=moviefilm>.+?<a href=(.+?)>.+?<img src=(.+?) alt="(.+?)".+?title=',re.DOTALL).findall(p)
    except IndexError:
        m = re.compile('<div class="moviefilm">.+?<a href="(.+?)">.+?<img src="(.+?)" alt="(.+?)".+?title=',
                       re.DOTALL).findall(p)
    for url,icon,name in m:
        if '-)' in name:
            name = name.replace('-)',')')
            name = name.split('&#038;')[0]
            name = name.split('&#8217;')[0]
            name = name.split('&#8211;')[0]
            icon = icon.replace('-119x125','')
            openn.addDir('[B][COLOR white]%s[/COLOR][/B]'%name,url,315,icon,addon.art,'')
    try:
        np=re.compile('class=nextpostslink rel=next href=(.+?)>»</a>').findall(p)[0]
        openn.addDir('[B][COLOR green]Next Page>>[/COLOR][/B]',np, 416,'http://i.imgur.com/rKSs0yq.png',addon.art,'[B][COLOR green]Επόμενη σελίδα[/COLOR][/B]')
    except:
        pass
    setView.setView('movies', 'movie-view')


def get_hdvids(url):
    c = 'Επεισόδιο..'
    p = openn.Open_Url(url)
    m=re.compile('<a href=(.+?)>(.+?)</a>',re.DOTALL).findall(p)
    for url,name in m:
        if 'hdvid.tv' in url:
            c = 'Επεισόδιο...'
            openn.addDir('[B][COLOR gold] %s[/COLOR][/B][B][COLOR blue]%s[/COLOR][/B]'%(c,name),url,200,addon.icon,addon.art,'')

def Search9():
        keyb = xbmc.Keyboard('', 'Search')
        keyb.doModal()
        if (keyb.isConfirmed()):
                search = keyb.getText().replace(' ','+')
                url = 'https://xrysoi.pro/?s=' + search
                xrysoiseries(url)

###########################################################################################################################################
def tainiesonlineseries(url): #159
    p = client.request(url)
    try:
        m = re.compile('<div class=moviefilm>.+?<a href=(.+?)>.+?<img src=(.+?) alt="(.+?)".+?title=',re.DOTALL).findall(p)
    except IndexError:
        m = re.compile('<div class="moviefilm">.+?<a href="(.+?)">.+?<img src="(.+?)" alt="(.+?)".+?title=',
                       re.DOTALL).findall(p)
    for url,icon,name in m:
        if '-)' in name:
            name = name.replace('-)',')')
            name = name.split('&#038;')[0]
            name = name.split('&#8217;')[0]
            name = name.split('&#8211;')[0]
            icon = icon.replace('-119x125','')
            openn.addDir('[B][COLOR white]%s[/COLOR][/B]'%name,url,315,icon,addon.art,'')
    try:
        np=re.compile('class=nextpostslink rel=next href=(.+?)>»</a>').findall(p)[0]
        openn.addDir('[B][COLOR green]Next Page>>[/COLOR][/B]',np, 159,'http://i.imgur.com/rKSs0yq.png',addon.art,'[B][COLOR green]Επόμενη σελίδα[/COLOR][/B]')
    except:
        pass
    setView.setView('movies', 'movie-view')

def tainiesonlinesearch(url): #160
    keyb = xbmc.Keyboard('', 'Search')
    keyb.doModal()
    if (keyb.isConfirmed()):
        search = keyb.getText().replace(' ', '+')
        url = 'https://tainiesonline.net/?s=' + search
        tainiesonlineseries(url)

############################################################################################################################################
def peiratesseries(url):
        p = client.request(url)
        #xbmc.log('@#@NP-PEISERIES:%s' % p, xbmc.LOGNOTICE)
        if not '/page-' in url:
            m = re.compile('class=moviefilm1.+?href=(.+?)>.+?src=(.+?.jpg).+?alt="(.+?)"', re.DOTALL).findall(p)
        else:
            m = re.compile('class="movief.+?href="(.+?)">.+?src="(.+?.jpg)".+?alt="(.+?)"', re.DOTALL).findall(p)
        for link,icon,name in m:
            if '-)' in name:
                name = name.replace('-)',')')
                name = name.split('&#038;')[0]
                name = name.split('&#8217;')[0]
                name = name.split('&#8211;')[0]
                icon = icon.replace('-119x125','')
                openn.addDir('[B][COLOR white]%s[/COLOR][/B]'%name,link,56,icon,addon.art,'')
        try:
            if not '/page-' in url:
                page = 2
                m = 'https://oipeirates.live/wp-content/uploads/alm-cache/cache-seires/page-2.html'
            else:
                # if '/page-2' in url:
                #     url = 'https://oipeirates.tv/genre/seires/page/2'

                page = int(re.findall('page-(\d+)\.html', url)[0])
                page += 1
                m = 'https://oipeirates.live/wp-content/uploads/alm-cache/cache-seires/page-%s.html' % str(page)

            # xbmc.log('@#@NP:%s' % m, xbmc.LOGNOTICE)
            openn.addDir('[B][COLOR green]Next Page>>[/COLOR][/B]', m, 55, 'http://i.imgur.com/rKSs0yq.png', addon.art,
                         '[B][COLOR green]Επόμενη σελίδα[/COLOR][/B]')
        except:
            pass
        setView.setView('movies', 'movie-view')

def get_peiratesseries(url):
        c = 'Επεισόδιο..'
        p = openn.Open_Url(url)
        m=re.compile('<a href=(.+?)>(.+?)</a>',re.DOTALL).findall(p)
        for url,name in m:
            if 'streamcloud' in url or 'vidto' in url or 'streamin' in url or 'exashare.com' in url or 'hdvid.tv' in url or 'vidzi.tv' in url or 'aparat' in url:
                c = 'Επεισόδιο...'
                name = re.sub('<.+?>', '', name)
                openn.addDir('[B][COLOR gold] %s[/COLOR][/B][B][COLOR blue]%s[/COLOR][/B]'%(c,name),url,200,addon.icon,addon.art,'')





def Search12():
        keyb = xbmc.Keyboard('', 'Search')
        keyb.doModal()
        if (keyb.isConfirmed()):
                search = keyb.getText().replace(' ','+')
                url = 'https://oipeirates.live/?s=' + search
                peiratesseries(url)


def gamatoseries(url):
    p = openn.Open_Url(url)
    posts = client.parseDOM(p, 'div', {'id': r'post-\d+'})
    for post in posts:
        name = client.parseDOM(post, 'a', ret='title')[0]
        name = name.split('/ ')[0]
        name = name.split('&Mu;')[0].split('&Eta;')[0].split('&pi;')[0]
        name = clean.Clean(name).encode('utf-8')

        icon = client.parseDOM(post, 'img', ret='src')[0]
        # icon = icon.split('?')[0]#remove

        url = client.parseDOM(post, 'a', ret='href')[0]

        openn.addDir('[B][COLOR white]{}[/COLOR][/B]'.format(name), url, 503, icon, addon.art, '')
    try:
        m = re.compile(r'class="next page-numbers"\s+href="(.+?)">Next').findall(p)[0]
        m = m.replace('amp;', '')
        openn.addDir('[B][COLOR green]Next Page>>[/COLOR][/B]', m, 502, 'http://i.imgur.com/rKSs0yq.png', addon.art, '[B][COLOR green]Επόμενη σελίδα[/COLOR][/B]')
    except:
        pass


def gamatoS(url):
        c = 'Επεισόδιο..'
        p = openn.Open_Url(url)
        m=re.compile('<a href=(.+?)>(.+?)</a>',re.DOTALL).findall(p)
        for url,name in m:
            if 'clipwatching' in url or 'vidto' in url or 'streamin' in url or 'exashare.com' in url or 'hdvid.tv' in url or 'vidzi.tv' in url or 'aparat' in url:
                c = 'Επεισόδιο...'
                name = re.sub('<.+?>', '', name)
                openn.addDir('[B][COLOR gold] %s[/COLOR][/B][B][COLOR blue]%s[/COLOR][/B]'%(c,name),url,200,addon.icon,addon.art,'')


def searchgamato():
    keyb = xbmc.Keyboard('', 'Search')
    keyb.doModal()
    if (keyb.isConfirmed()):
            search = keyb.getText().replace(' ','+')
            url = 'http://gamatotv4.com/?s=' + search
            gamatoseries(url)
